Support » Plugin: Patreon Button, Widgets and Plugin by CodeBard » Invalid argument supplied for foreach

  • Resolved tonyamoore

    (@tonyamoore)


    Hi, I just updated to version 1.0.4 and I’m getting the following error:

    Warning: Invalid argument supplied for foreach() in … wp-content/plugins/patron-button-and-widgets-by-codebard/plugin_core/options_load_reset.php on line 55

    I just realized that the new version of the plugin is only Compatible up to: WordPress 4.4.2. I have WordPress 4.5 — could that be the reason?

    Unfortunately, I no longer have a copy of the previous version to roll back to…

    https://wordpress.org/plugins/patron-button-and-widgets-by-codebard/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author CodeBard

    (@codebard)

    That’s definitely not the reason.

    Where exactly you are getting that error? In plugin administration screen, wordpress admin, or the site? Or, did you do an options reset from plugin options?

    Have you ever deleted any options or anything from your wordpress database directly?

    That error stems from info from plugin (not options) not being found in your database.

    Hi,

    The error is showing up sitewide. I tried an options reset from plugins options but nothing changed.

    I’ve never deleted anything from the database directly.

    Additionally, I deactivated, deleted the plugin, flushed my cache then re-installed. Still getting the error. On reinstall, I also got this notification:

    “The plugin generated 241 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.”

    Plugin Author CodeBard

    (@codebard)

    Alright,

    1.0.5 should fix that. Its posted to wordpress.org just now.

    In your wordpress admin, plugin updates section, when new version shows up as available, update the plugin.

    In case you can force it to update, you can try that as well. But that may not work if the update did not propagate there yet.

    Alternatively you can just download 1.0.5, extract the files and ftp them, overwriting existing plugin files at your site.

    Please let me know if this fixes your issue.

    1.0.5 fixed this issue – thank you very much!

    Plugin Author CodeBard

    (@codebard)

    No problem. Enjoy.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Invalid argument supplied for foreach’ is closed to new replies.